aboutsummaryrefslogtreecommitdiffstats
path: root/main/xorg-server/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-01 10:27:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-01 10:27:25 +0000
commit321b8e24ec4d76b8339037f3a2aec8a159fbce43 (patch)
treeab5edd527a3a7998b29d5e2afa24d22f6ab5938f /main/xorg-server/APKBUILD
parente39d5af0c3b9e34204702d51518345b94a786112 (diff)
downloadaports-321b8e24ec4d76b8339037f3a2aec8a159fbce43.tar.gz
aports-321b8e24ec4d76b8339037f3a2aec8a159fbce43.tar.bz2
aports-321b8e24ec4d76b8339037f3a2aec8a159fbce43.tar.xz
main/xorg-server: add some fixes from fedora
Diffstat (limited to 'main/xorg-server/APKBUILD')
-rw-r--r--main/xorg-server/APKBUILD19
1 files changed, 13 insertions, 6 deletions
diff --git a/main/xorg-server/APKBUILD b/main/xorg-server/APKBUILD
index 293793f01c..75ec0db629 100644
--- a/main/xorg-server/APKBUILD
+++ b/main/xorg-server/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xorg-server
pkgver=1.10.1
-pkgrel=0
+pkgrel=1
pkgdesc="X.Org X servers"
url="http://xorg.freedesktop.org"
arch="all"
@@ -60,6 +60,10 @@ makedepends="
source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2
xorg-redhat-die-ugly-pattern-die-die-die.patch
+ bg-none-revert.patch
+ glx-pixmap-crash.patch
+ xserver-1.10-pointer-barriers.patch
+
"
depends_dev="pixman-dev libpciaccess-dev xproto randrproto renderproto
@@ -69,9 +73,10 @@ depends_dev="pixman-dev libpciaccess-dev xproto randrproto renderproto
prepare() {
cd "$srcdir"/$pkgname-$pkgver
- for i in ../*.patch; do
- msg "Applying $i..."
- patch -Np1 -i "$i" || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
# Fix dbus config path
sed -i -e 's/\$(sysconfdir)/\/etc/' config/Makefile.* || return 1
@@ -92,7 +97,6 @@ build() {
--with-default-font-path=${_fontroot}/misc,${_fontroot}/100dpi:unscaled,${_fontroot}/75dpi:unscaled,${_fontroot}/TTF,${_fontroot}/Type1 \
--with-xkb-path=/usr/share/X11/xkb \
--with-xkb-output=/var/lib/xkb \
- --with-dri-driver-path=/usr/lib/xorg/modules/dri \
--enable-composite \
--enable-config-udev \
--enable-dri \
@@ -149,4 +153,7 @@ xephyr() {
}
md5sums="75f117c74f2ecaf9dd167f6a66ac98de xorg-server-1.10.1.tar.bz2
-222de594206d1148a90eddfda4f7a11a xorg-redhat-die-ugly-pattern-die-die-die.patch"
+222de594206d1148a90eddfda4f7a11a xorg-redhat-die-ugly-pattern-die-die-die.patch
+030dd3ec221b895de3057d7513d8c1d7 bg-none-revert.patch
+baa098b7e1f95ab55e4c29fb3332baaf glx-pixmap-crash.patch
+db48cea655c7bccec9171c5df1558a64 xserver-1.10-pointer-barriers.patch"